%define version    1.6.5.2
%define release    20140817
%define rhel_version 6

# The behaviour of the rpm-build package for python files varies between
# releases.  Sometime in the FC4 timeframe it gained a file
# /usr/lib/rpm/brp-python-bytecompile which generates pyo and pyc files for py
# files, in a phase after the install.
# This macro is needed to turn this off, for building on FC4/RHEL5 and later:
%define byte_compiled_python 0

Name:           hwcert-client
Summary:        Red Hat Hardware Test Suite
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPL
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Conflicts: rhr-core, rhr-auto, rhr-interact, rhr-crush
Obsoletes: hts, v7
Requires: lmbench, dt, httpd, nfs-utils, stress, gcc, PyXML, rpm-build
Requires: dbus-python, kernel-devel, kernel-headers, sos
Requires: hwcert-client-info >= %{version}
# require RHEL6 via kernel
Requires: kernel == 2.6.32

# hwcert-server subpackage
%package -n hwcert-server
Summary:        Red Hat Hardware Test Suite Server
Group:          Development/Tools
Requires: hwcert-client = %{version}-%{release}
Requires: python-lxml
Obsoletes: v7-server

%description
Red Hat Hardware Test Suite certifies hardware for Red Hat Enterprise Linux

%description -n hwcert-server
Red Hat Hardware Test Suite Server supports systems running certification tests

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make HWCERT_RHEL_VERSION=%{rhel_version}

%install
DESTDIR=$RPM_BUILD_ROOT make HWCERT_RHEL_VERSION=%{rhel_version} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post


%files
%defattr(-,root,root)
/usr/bin/hwcert
/usr/bin/hwcert-backend
/usr/share/hwcert/tests
/usr/share/hwcert/kickstart
/usr/share/hwcert/lib/hwcert
/usr/share/hwcert/lib/hwcert-make.include
/usr/share/man/man8/hwcert.8.gz
/usr/share/man/man8/hwcert-backend.8.gz
/etc/init.d/hwcert-backend

%files -n hwcert-server
%defattr(-,root,root)
# set to user apache for web/cgi serving
%attr(-, apache, apache) /var/www/hwcert
/etc/httpd/conf.d/hwcert.conf

%changelog
* Sun Aug 17 2014 Guangze Bai <gbai@redhat.com>

  1127097 - wrongly searching for device id in audio test

* Wed Aug 06 2014 Greg Nichols <gnichols@redhat.com>

  1127393 - The storage test does not plan testing for SD cards
  1114543 - hwcert 1.6.5 cpuscaling test fails on m700 Moonshot cartridge

* Thu Jul 31 2014 Greg Nichols <gnichols@redhat.com>

  1045307 - Audio HDMI test failed with Error: aplay command failed
  1125411 - hwcert-client should not specify release number for hwcert-client-info
  1122994 - Hwcert-client-1.6.5.2 crashes when launched on RHEL6 MRG v2.5

* Wed Jun 11 2014 Greg Nichols <gnichols@redhat.com>

  1087508 - hwcert-client-1.6.5-32 fails to add fcoe lun device in the test plan

* Wed Apr 30 2014 Greg Nichols <gnichols@redhat.com>

  1091783 - The test tool cannot create 40G network plan on RHEL6.5.

* Tue Apr 29 2014 Greg Nichols <gnichols@redhat.com>

  1090820 - [hwcert-client-1.6.5.2-20140416] i386 memory test fail to complete

* Mon Apr 28 2014 Greg Nichols <gnichols@redhat.com>

  1090365 - network test throws AttributeError: Ethernet10GigTest instance has no attribute 'bandwidthTarget'
  1090417 - NameError: global name 'sys' is not defined

* Tue Apr 15 2014 Greg Nichols <gnichols@redhat.com>

  1088007 - Bandwidth Failure marked as Pass

* Wed Apr 09 2014 Greg Nichols <gnichols@redhat.com>

  1085926 - client version string incorrect
  1084579 - certify returns "Test plan is not frozen" Fault code: -32000

* Tue Apr 01 2014 Greg Nichols <gnichols@redhat.com>

  1083333 - ppc64 traceback after core test

* Fri Mar 28 2014 Greg Nichols <gnichols@redhat.com>

  1014199 - hwcert web server submit traceback if cert ID is not set for an existing certification
  1081670 - hwcert traceback on searching for open certifications

* Tue Mar 25 2014 Greg Nichols <gnichols@redhat.com>
  1080579 - results can not be saved if the first run contains INCOMPLETE tests
  1080221 - hwcert-client-1.6.5 storage tests still use ext3 filesystems for benchmark performance
  1080479 - Application Error: 32000 searching for certification via hwcert-client "hwcert" 
  1070360 - E7-4890 V2 fails cpuscaling - Cannot hit top turboboost speed - too many cores being tested

* Fri Mar 21 2014 Greg Nichols <gnichols@redhat.com>

  1073634 - FEAT: add pci passthrough testing to FV testing
  1077954 - info test: "Environment instance has no attribute Environment instance has no attribute" messages
  1079358 - hwcert-backend plan ignores --server on first run

* Sun Mar 16 2014 Greg Nichols <gnichols@redhat.com>

  1076083 - Add an optional biosdevname test to the test suite
  1076081 - Core clocktest : Warning: could not determine clocksource
  1076085 - HWCert: Add .gitignore file in v7.git
  1076946 - packaging past results leaves existing results 
  1076952 - FEAT: hwcert test suite could handle hardware spec and certification entries with the catalog
  1076955 - expresscard: PCI-e and USB test might both get tested when one device plugged in
  1069084 - EXPRESSCARD test is a dead loop

* Fri Mar 07 2014 Greg Nichols <gnichols@redhat.com>

  1073634 - FEAT: add pci passthrough testing to FV testing

* Fri Feb 28 2014 Greg Nichols <gnichols@redhat.com>

  1069751 - FEAT: hwcert-server should provide a push to email link

* Wed Feb 26 2014 Greg Nichols <gnichols@redhat.com>

  change version to 1.6.5.2
  1056272 - cpuscaling test hang waiting for work processes
  1056161 - hwcert-server filtering of saved results by date doesn't work.

* Mon Jan 20 2014 Greg Nichols <gnichols@redhat.com>

  1055803 - hwcert-backend certify doesn't run expected tests
  1054345 - hwcert stuck in loop checking catalog for outstanding tests

* Wed Jan 15 2014 Greg Nichols <gnichols@redhat.com>

  1053795 - xml parser errors reading output logs

* Mon Jan 13 2014 Greg Nichols <gnichols@redhat.com>

  1022749 - traceback on empty results.xml file
  1051625 - network tests should use python "==" operator instead of "is"

* Wed Jan 08 2014 Greg Nichols <gnichols@redhat.com>

  1028520 - Change the name of the "product-url" field in hwcert
  1020708 - "v7 submit" fails when "vendor" string contains a tabulator character
  1045134 - plan prompt for test server is confusing

* Thu Dec 19 2013 Greg Nichols <gnichols@redhat.com>

  1040534 - missing wget dependency
  1045128 - network test logs include confusing version number
  1045126 - downloading of kernel info from the Partner's site should be removed.
  1043517 - v7 cannot handle yum errors
   984098 - with empty input, hwcert will crash.
  1040734 - hwcert-server error downloading attached python files.

* Tue Dec 10 2013 Greg Nichols <gnichols@redhat.com>

  1016382 - hwcert-client no longer logging "Test Parameters"

* Mon Nov 25 2013 Greg Nichols <gnichols@redhat.com>

  1034496 - hwcert-backend won't skip debug warning prompt in --mode auto

* Wed Nov 20 2013 Greg Nichols <gnichols@redhat.com>

  .1
    1027431 - hwcert-backend save ignores --mode auto

  1032701 - save command return value is non-zero on success
  1032698 - hwcert-client should use date as a release number
  1032696 - FEAT: [1.6] Test tags should be added for new specifically-named tests 

* Tue Nov 12 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5-32

  1028244 - hwcert-client tries to install kabi-whitelists for the info tests, but RHEL 6.5 renamed the package

* Tue Nov 05 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5-29

  1022016 - hwcert-client-info must be updated with the RHEL 6.5 GA kernel information

* Tue Oct 15 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5-26

  1019521 - hwcert-client-info should be split off as a separate package (not a subpackage of hwcert-client) 

* Fri Oct 11 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R23

  915482 - infiniband test should plan via detection of mlx4 driver

* Tue Oct 08 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R22

  1013769 - USB3 doesn't retry
  1015196 - hwcert command should ask for login/password on login failure from catalog.
  1013129 - help output includes a "push" command

* Wed Oct 02 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R21

  1014792 - default catalog URL should be the partners' server for 1.6.5 beta

hwcert-client 1.6.5 R20

  1014441 - submit traceback on printing catalog error code

* Tue Oct 01 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R19

  1014419 - traceback after successful hwcert-backend submit

* Mon Sep 30 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R18

  1013787 - hwcert-backend submit traceback on submit

hwcert-client 1.6.5 R17

  1013100 - lsusb not found in s390x hwcert
  1013159 - hwcert-backend submit tracebacks

* Fri Sep 27 2013 Greg Nichols <gnichols@redhat.com>
hwcert-client 1.6.5 R16

  1013046 - hwcert command does not offer the option to save results to the local test server

hwcert-client 1.6.5 R15

  1012966 - hwcert-backend save error saving from files stored on local hwcert-server
  1012941 - hwcert server start/status has lmbench and httpd errors

* Wed Sep 25 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R14

  1001282 - RHEL6.5 storage test failure: "could not find storage devices for host host0"

hwcert-client 1.6.5 R13

  1001308 - FEAT: expresscard test should use dmidecode data to plan expresscard test
   998044 - FEAT: hwcert-server should provide a push result to another server button

* Tue Sep 24 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R12

  1001807 - FEAT: hwcert-client should indicate why it hasn't defaulted a plan item that is present
   998064 - FEAT: hwcert command should print a summary at the end of a run

* Mon Sep 23 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R11

  1006605 - FEAT: add a new USB3 and USB2 tests

* Fri Sep 20 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R10

  960470 - [FEAT] USB test need to list usb version related info for tested port
  1010414 - Hwcert Traceback when selecting n to submitting to test server

* Thu Sep 19 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R9

  1006586 - FEAT: add a new type-specific tests for N and G

* Tue Sep 17 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R8

  1006578 - FEAT: add a new 1GigEthernet test

* Fri Sep 13 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R7

  1001303 - FEAT: hwcert-server should display and allow for download of ~/store results attachements

* Wed Sep 11 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R5

  998037 - FEAT: hwcert-server should provide a push results to catalog button

* Fri Sep 06 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.5 R4

  998059 - FEAT: hwcert command should prompt the user about pushing stored results
  984096 - with empty input, hwcert will crash.

* Tue Jul 09 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R57

  980609 - storage test ignores choice of disk to test

* Mon Jun 24 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R56

  976880 - info test fails GA kernel validation for RHELX.0
  976869 - realtime test name is inconsistent

* Fri Jun 07 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R55

  962542 - Don't use /mnt for fv_* guest image inspection


* Fri May 24 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4.R54

  958461 - FEAT: hwcert-client man page needs to be updated to reflect current commands and their use
  967110 - [1.6] profiler: passing with forced timer config still fails test
  
* Wed May 22 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R53

  
  965692 - the reboot timeout error message is wrong
  	
* Fri May 17 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R52

  961658 - v7 reports error "could not find udev device for battery and AC Adapter“ when run "battery" test.
  960825 - v7 reports error "lid must be open for this test" when test LID.
  
* Tue Apr 23 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R51

  951683 - need %obsoletes v7
  952821 - adding reboot test causes traceback
  956728 - extraneous debug output should be removed if --debug is off.
  956277 - hwcert-client 1.6 should require RHEL6

* Fri Apr 12 2013 Greg Nichols <gnichols@redhat.com>
hwcert-client 1.6.4 R48

  927535 - The xml should be updated to include MRG 2.3 GA kernel
  875629 - V7 memory test on RHEL 6.2 x86_64 failed on 4 TB RAM

hwcert-client 1.6.4 R47

  908541 - v7/submit always fails on Intel Romley EP 4S boxes with RHEL 6.4
  886972 - Certification Kdump test fails b/c taking longer than 10 minutes to boot

* Thu Apr 11 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R46

  822249 - clocktest jitter test don't allow for large cpu count.

* Wed Apr 10 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R45

  918220 - FEAT: fv_* should print guest console log if --debug set

* Mon Apr 08 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R44

  948942 - [1.6] hwcert test server status gives a 500 error page
  846468 - BW_TCP utility yields inconsistent results.
  928188 - Audio test should specifies device when play and record sample sound

* Thu Apr 04 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R43

  755008 - v7 storage test should allow testing of all devices for each host bus adapter

hwcert-client 1.6.4 R42

  917455 - Please add more NIC related info into hardware.log
  894220 - expresscard: give correct PASS/FAIL results on exit
  453628 - hts plan editing - device already in the test plan may be manually added again

* Wed Apr 03 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R41

  947770 - [1.6] INFO: traceback when check rpm package

* Tue Apr 02 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R40

  918739 - FEAT: ship kernelinfo.xml in it's own package

* Tue Mar 26 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R38

  921240 - FEAT: address prompting quirks from 'hwcert' command refactoring

* Fri Mar 15 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R31

  921238 - Rename v7 to hwcert-backend

* Thu Mar 14 2013 Greg Nichols <gnichols@redhat.com>

  921435 - [1.6] Server status has wrong version/release information

* Tue Mar 12 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R28

  920733 - hwcert-client 1.6.4 R27 fv_* tests fails when quests' rc.local call old v7 script
  920392 - hwcert-server web status is broken

* Mon Mar 11 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R27

  918758 - [PATCH] v7-1.6.4 tests code clean-ups
  918738 - [1.6] v7 tracebacks when <partner-server> is empty or missing from /etc/v7.xml
  918745 - fvtest: global name 'isHvm' is not defined
  904892 - [RHEL6] remove hal imports
  904890 - [RHEL6] hardwaretest.py: create default udev device instead of hal device

* Fri Mar 01 2013 Greg Nichols <gnichols@redhat.com>

hwcert-client 1.6.4 R26

  name change

* Wed Jan 23 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R22

  903329 - v7 default catalog URL should be https://hardware.redhat.com/xmlrpc.cgi for GA

* Wed Jan 16 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R21

  895891 - usb: fix return value
  895714 - traceback on v7 submit if results are packaged to rpm

* Tue Jan 15 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R20

  894943 - The xml should be updated to include RHEL5.9 GA kernel
  895432 - storage test not planned on special devices (e.g. cciss)
  895407 - v7-1.6 is missing dmi decode output in info's hardware info

* Mon Jan 14 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R19

  895154 - v7-1.6 is missing cpu hardware data in CORE, CPUSCALING, INFO, and PROFILER tests
  895157 - v7-1.6 missing memory data data in MEMORY test

* Fri Jan 11 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R18

  888688 - infiniband: should show udi or pci id information
  894217 - expresscard: call trace Regression occur by the usb fix

* Thu Jan 10 2013 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R17

  888655 - usb: V7 didn't hang the test when user tried to plug different device into the tested port
  890942 - storage test not planned on s390x

* Thu Dec 20 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R15

  887742 - catalog can't parse rpm package generated by V7-1.6.4
  866534 - v7 man page has errors

* Wed Dec 12 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R14

  880079 - FEAT: audio: check the codec of audio devices
  880916 - "iwlist" command will run twice in WLAN test
  880986 - Video test: Can't find driver info in "/var/log/Xorg.0.log" on 64bits platform

* Tue Nov 13 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R13

  876290 - Error: unknown device source kudzu on v7 submit

V7 1.6.4 R12

* Mon Nov 12 2012 Greg Nichols <gnichols@redhat.com>

  875637 - "make build" has output on stderr

V7 1.6.4 R11

  870226 - "v7 run --test=storage" will ask which disks to test before testing begins

* Sun Nov 11 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R10


  874715 - fv_ tests fail to mount data image after guest run
  843605 - expresscard test should not use HAL
  843604 - battery test should not use HAL
  843610 - pccard test should not use HAL

* Wed Nov 07 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R9

  843616 - wlan test should not use HAL
  873612 - remove HAL import from memory test

* Thu Nov 01 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R8

   871515 - profiler test check for virtualization depends on HAL
   872359 - Hardware device information is missing from test results

* Tue Oct 30 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R7

  843194 - Support v7 call home to compare test plans using the certify command
  855063 - battery test log units are incorrect
  870002 - The name org.freedesktop.UDisks was not provided by any .service files
  871254 - pccard: Traceback if no PC Card plugged into the slot

* Fri Oct 19 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R6

  866917 - video test should not use HAL
  828625 - Unicode decode error in /var/log/messages
  847922 - kdump test: change device path to UUID

* Tue Oct 16 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R4

  755008 - v7 storage test should allow testing of all devices for each host bus adapter
  858734 - storage test should use udev
  827369 - v7/kdump still report PASS if reboot took more than limited time
  828712 - v7 save should prompt XXX.xml.gz saved instead of XXX.xml


* Mon Aug 27 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R2

  843607 - audio test should not use HAL
  843609 - network test should not use HAL
  822246 - clocktest use of CPUSET_S not completely correct.
  843615 - usb test should not use HAL
  843608 - lid test should not use HAL
  843600 - storage test should not use HAL

* Thu Aug 23 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R1

  843606 - infiniband test should not use HAL
  843613 - tape test should not use HAL
  843611 - suspend test should not use HAL

* Thu Aug 02 2012 Greg Nichols <gnichols@redhat.com>

V7 1.6.4 R0

  843565 - v7 test planning should not use a generic device dictionary

* Fri Jun 01 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R32

  827641 - The hardware catalog URL should be hardware.redhat.com

* Thu May 31 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R31

  827177 - duplicate v7 call home submit command will create duplicate results without matching md5sums
  826679 - Unable to manual add Reboot test in new v7-1.5-28 test kit

* Tue May 29 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R30

  825247 - storage test may schedule tests for multiple disks on the same controller

V7 1.5 R29

  822690 - v7 fails to generate results package (rpm) if vendor field is not set.
  824306 - Fail to open a new cert if 'Make' and/or 'Model' fields empty
  817154 - Kernel- Check OS kernel build fails with MRG-RT kernel
  823461 - DUP check in info test is wrong
  824851 - fv_storage test traceback if --server not set

* Mon May 21 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R28

  817154 - Kernel- Check OS kernel build fails with MRG-RT kernel
  732922 - Traceback when cpuscaling is run on XEN
  784419 - FEAT: v7 should not error on DUP graylist symbols


* Thu May 17 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R26

  822359 - catalog url for partner site should be https rather than http

* Wed May 16 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R25

  818184 - input check is needed for hardware 'category' field
  707144 - Regression with BLURAY test in v7 version 1.3-43-el6

* Mon May 14 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R23

  820972 - v7 kdump test should restart kdump service every time
  817258 - submit results to catalog with filename missing ".gz"
  782195 - FEAT: v7 certify should only run rtevel and hwlatdetect (and info) on the RT kernel
  818331 - Reboot test should not be automatically scheduled

* Wed Apr 25 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R22

  816219 - fv storage and network tests may fail for multiple devices on guest

* Fri Apr 20 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R21

  813405 - v7 should not prompt for certification id when hardware catalog is unreachable
  809026 - v7 trivial formatting fix
  811565 - v7 traceback on RHEL 7 Alpha1
  812437 - getModuleFile may return 'null'
  811247 - kabi-whitelists structure changing makes kabi check fail
  810497 - v7 info - make: *** No rule to make target `kernelInfo.xml'
  809240 - v7 plan --model should use the same prompts as v7 plan for certification data

* Tue Apr 17 2012 Greg Nichols <gnichols@redhat.com>

v7 1.5 R20

  813090 - v7 plan fails when the Hardware Catalog Server is not reachable from the SUT

* Mon Apr 16 2012 Greg Nichols <gnichols@redhat.com>

v7 1.5 R19

  810809 - v7 tests result cannot be judged from its exit status

* Wed Apr 04 2012 Greg Nichols <gnichols@redhat.com>

v7 1.5 R18

  809942 - Traceback on continue

* Tue Apr 03 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R17

  809537 - info test kernel validation should allow more flexibility to support beta testing.
  809520 - v7 1.5 R14 traceback on server start

* Mon Apr 02 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R14

  807714 - v7 1.5 R12 requires udisks package not in RHEL5
  807552 - v7 info: Environment instance has no attribute 'getCertificationName'
  713368 - failed to get httptest.file if ipv6 available on both sides
  649675 - RHEL5 doesn't install xen packages as dependencies by default
  611409 - Test Suite should collect the information about the current used video controller
  608568 - FEAT: can v7 detect non Red Hat shipped xorg drivers ?
  488745 - Add suggested IB specific commands to network test

* Tue Mar 27 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R12

  805757 - info test missing requires for sos (sosreport)
  781243 - v7 info fails to capture modules tainted for multiple signs

* Fri Mar 23 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R11

  782189 - FEAT: v7 should be able to upload a result directly to a hwcert.
  804492 - V7 should not pass the debug kernel in info when used for hardware tests.


* Fri Mar 16 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R9

  767059 - info: kmod rpm verify command is not running
  687990 - FV_CORE INFO test fails because sosreport expects user response
  799897 - v7 server starts/stops returns 1
  752753 - v7 server status reporting /var/v7/export is exported in v7-1.4
  748753 - Unicode decode error in /var/log/messages
  747990 - interactive tests run in --mode auto should fail -- code clean up part
  750721 - audio: Warning: could not log sound card information
  755473 - v7-server traceback: No such file or directory: u'/var/v7/results.xml

* Fri Mar 09 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R8

  782191 - FEAT: v7 should be able to open a new certification request
  799921 - v7 1.5 R7 may trace-back on older /etc/v7.xml environment file.

* Fri Feb 03 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R7

  782229 - FEAT: v7 certify should support component mode
  746029 - FEAT: v7 should log reboot and fv guest time limit changes made to /etc/v7.xml
  702168 - RedHat v7-1.3-35 Hardware Test Suite: v7 server requires fence-agents rpm
  532557 - test suite should alarm operator and fail test runs on non GA kernel
  799118 - FEAT: v7 should preserve SUT hardware information when results are removed
  798321 - v7 plan UnboundLocalError: local variable 'controllers' referenced before assignment

* Fri Jan 27 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R1

  782197 - FEAT: v7 should support dbus udisks in place of hal/kudzu/hardware.py for storage test

* Fri Jan 20 2012 Greg Nichols <gnichols@redhat.com>

V7 1.5 R0

  755787 - RFE: rebase CD/DVD/Blu-ray tests
  754919 - bluray: not choosing the most capable media type as default
  707144 - Regression with BLURAY test in v7 version 1.3-43-el6
  705999 - v7 --help doesn't give information about "v7 save"


* Thu Nov 03 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R38

  747736 - v7 test 'profiler' terminates with backtrace
  746918 - cpuscaling failure on v7-1-4-30 cpus don't settle to minimum frequency for On Demand test.

* Tue Nov 01 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R37

  734476 - RHEL6.1 32bit/64bit V7 cert info test fail - tech preview
  743609 - CPU Scaling is failing with AMD Interlagos - user space load times aren't repeatable

* Wed Oct 26 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R36

  748062 - v7 1.4 R34 cpuscaling selects wrong measurement method
  749068 - v7-1.4 is missing the kudzu devices data in hardware.log on RHEL6

* Wed Oct 19 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R34

  747433 - Fix typo in v7 syntax output
  747379 - v7 1.4 R32 network test traceback when server validation fails.
  559834 - fv_* is not listed in v7 plan on rhel54-server-ia64-xen system

* Mon Oct 17 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R32

  745212 - Traceback on blank Model Name in dmidecode
  740002 - HWCERT: info test always fails due to kernel modified which is due to applied be2net patch
  733618 - v7 network kdump test passed without setting remote server
  730932 - v7 1.4 server with v7 1.3 SUT fails network test

* Tue Oct 04 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R31

  734985 - info: TypeError: coercing to Unicode: need string or buffer, NoneType found
  741165 - cpuscaling TraceBack: TypeError: int argument required
  741943 - v7 fails with AttributeError: CPUScalingTest instance has no attribute predictedSpeedup
  731611 - udp test is missing in network.py

* Wed Sep 21 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R30

  732113 - cpuscaling rewrite

* Tue Sep 20 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R25

  739967 - Storage test execution time on 1.4-23 is abnormally long

* Fri Sep 16 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R23

  737859 - bluray incur traceback: BluRayTest instance has no attribute 'mediaNames'
  736638 - v7 storage test won't work on 4K sector storage device
  736666 - v7 storage test has an improper write/read sequence
  736675 - v7 storage test sets an improper I/O records
  736679 - v7 storage test: improper dt options for raw I/O test

* Wed Aug 31 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R22

  737651 - Traceback in v7 cpuscaling test (TypeError: float argument required, not str)

* Mon Aug 22 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R18

  731322 - network test gives 404 when trying fetching files from servers
  732463 - v7 save command saves empty results
  633652 - [RFE]: v7 bluray test fail on BD-R disk


* Thu Aug 18 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R17

  731332 - reboot says: "global name 'mode' is not defined"
  731337 - kdump says: "not all arguments converted during string formatting"
  726512 - v7 installs old version of decimal module for the cpuscaling test
  730918 - v7 server daemon fails on startup - can not create task file

* Mon Jul 25 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R16

  725441 - FEAT: save command should store results on server for review

* Thu Jul 21 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R14

  521609 - v7 plan --server says server has error: /var/v7/export
  711155 - v7: sh: kudzu: command not found
  717779 - Reboot nfs test does not reliably grab an ip address causing the test to fail
  711161 - v7 usb test Error: test raised exception on zero-length/non-integer prompt response
  702140 - Unable to determine pass/fail state of logs after packaging with v7 submit
  573598 - Test Suite should give a caution when user disable INFO test.

* Tue Jul 12 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R10

  701491 - kdump test should improve dependant rpm installation and logging
  705844 - interactive tests run in --mode auto should fail

* Thu Jul 07 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R9

  718290 - Can the kdump variation of the reboot test be moved to be the kdump test?
  716557 - Change v7_rteval.py maximum latency from 100us to 150us.
  708046 - info.py backtraces in checkModuleVenderAndBuildHost with "'v7CommandException' is not defined"
  714848 - Preview kernel taint should be error but not warning
  710173 - Remove test verification prompt if no errors found
  684075 - the hardware <make/> tag in results.xml is never set.
  705326 - fv_network is tagged as interactive, v7 --mode auto will result in fv failures
  704031 - Include additional LVM debugging info in storage test

* Wed Jun 15 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R8

  690676 - FEAT: v7 should generate zipped xml file as results
  702695 - v7 server should have it's own package

* Wed Jun 08 2011 Greg Nichols <gnichols@redhat.com>

V7 1.4 R0

  - initial build.

* Mon May 16 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R46

702491 - V7 1.2.x and 1.3.x fail to add expresscard tests to plan

* Fri May 13 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R44

  704404 - v7 1.3.43 result missing v7 version information

* Tue May 03 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R43

 701621 - suspend test failed on RHEL6

* Mon May 02 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R41

 676239 - v7 Coverage for loading Tech Preview device drivers in RHEL6.1

V7 1.3 R40

 690797 - Some test parameters should be moved to v7's configuration file

* Thu Apr 28 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R39

 641157 - Fencing test gives result of AUTO when run, instead of PASS or FAIL

V7 1.3 R38

  679011 - fencing test fail on v7-1.3-10

* Mon Apr 25 2011 Greg Nichols <gnichols@redhat,com>

V7 1.3 R37

  698984 - v7 sets /var/v7/store as world-writeable

* Thu Apr 21 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R35

  698463 - network test is killed on s390x

* Tue Apr 19 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R34

  697863 - multiple reboot tests are not run correctly

V7 1.3 R33

  697846 - info test logs missing when reboot test is run

* Mon Apr 18 2011 Greg Nichols <gnichols@redhat.com>
V7 1.3 R32

 696873 - The info test of v7-1.3.19beta is always incomplete and without a exit code.

V7 1.3 R31

 626970 - FEAT: kdump test needs to verify kdump
 697017 - video test uses xdpyinfo and should require xorg-x11-utils
 649520 - fv_* tests are not being planned on 32-bit RHEL5.5
 693429 - v7: clocktest only works up to 1024p
 649314 - v7 returns 1 on successful run

* Thu Apr 14 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R28

  660214 - reboot test run results in unparsable info test logs
  635973 - reboot test should set vmcore size before testing kdump
  618358 - v7 server - fencing test requires fence-agents rpm
  681737 - core test reports PASS even though there is an error.

* Wed Apr 06 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R27

 593982 - FEAT: v7 should provide multiple results rpms when results.xml gets too large

* Thu Mar 31 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R26

 677752 - FEAT: network test ICMP/ping test improvements
 593982 - FEAT: test suite to remind users before the results.xml file becomes too large
 618358 - v7 server - fencing test requires fence-agents rpm


* Tue Mar 29 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R24

 690799 - FV tests should run v7 with --mode auto on guest

* Fri Mar 25 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R23

  690338 - v7 certify --mode auto prompts user
  637687 - Please show the NIC's info in detail
  690797 - Some test parameters should be moved to v7's configuration file

* Wed Mar 23 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R20

  689494 - Traceback on RHEL5: configfile.py
  690215 - floppy test is no longer required for certification
  690218 - v7 should re-raise test exceptions when --debug is set
  690198 - cpuscaling test can fail a package, and still pass the system

* Thu Mar 17 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R19
  688748 - network test fails in http transfer - v7 server directory permissions problem

* Fri Mar 11 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R18
  678949 - oprofiled did not start on Nehalem-EX platform
  682115 - RHEL 6.1 fv tests fail on spurious stderr output

V7 1.3 R17
  626970 - FEAT: kdump test needs to verify kdump
  682969 - v7 certify test have no return value
  676239 - v7 Coverage for loading Tech Preview device drivers in RHEL6.1

* Thu Mar 10 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R16
  579498 - RH cert suite cpuscaling test fails Nehalem-EX procs
  680225 - network test should use HTTP for file transfer tests rather than NFS


* Tue Mar 08 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R15

  682672 - reboot testing abort on RHEL6.1
  681470 - v7 submit fail on ppc64
  678984 - can't find tape device on RHEL6.1
  678974 - pccard testing fail on v7-1.3-10
  678642 - Error output is missing line breaks
  678180 - cpuscaling verify traceback when unable to find cpufreq directories
  674375 - v7 certify misses tests where one of serveral devices has passed

* Mon Jan 31 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R10

  589739 - CPUSCALING test includes unprocessed tags around displayed text

* Thu Jan 27 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R7

  627043 - HWCert: RedHat v7-1.2-16 network test on sit0 interface fails
  623787 - core test - stress portion should scale for memory size
  607976 - sosreport: error: no such option: --no-progressbar

* Thu Jan 20 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R6

  670989 - test fails with a traceback when saving test log
  589806 - 1.1-23 man page says it's version 1.0-21
  617646 - print --report full does not show guest logs/results for fv_* tests
  640138 - CPUSCALING fails with traceback on non-repeatable performance test loads
  516910 - FEAT: v7 needs a wlan-specific test
  668041 - v7 virtualization tests should log image meta-data
  589425 - Please return the minor RHEL version back in info output
  654960 - info test reports a pass even though kernel validation fails.

* Fri Jan 14 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R4

  646277 - core test reports PASS when clock jitter test fails

* Wed Jan 05 2011 Greg Nichols <gnichols@redhat.com>

V7 1.3 R3

   659789 - Enhance command set for better usability and control of testing

* Tue Dec 21 2010 Greg Nichols <gnichols@redhat.com>

V7 1.3 R1

   649729 - RHEL5 fv_tests may fail on initial run due to kvm modules not installed
   642029 - USB SCSI tape drives cause: UnicodeEncodeError

* Mon Sep 13 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R25

  629363 - FV_Network test fails on RHEL6

* Thu Sep 09 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R24

  631921 - memory cert (threaded_memtest) fails to compile on RHEL5

* Thu Sep 02 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R23

  629082 - threaded_memtest hangs on very large systems.

V7 1.2 R22

  629344 - Reboot test always returns INCOMPLETE result
  629340 - Running v7 as a non-root user generates a crash and ABRT warning

* Wed Aug 25 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R21

  607981 - v7 manpage missing options

* Mon Aug 23 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R20

  626020 - storage test traceback on device size calculation
  626524 - reboot test counts time waiting at prompt in reboot time

* Fri Aug 20 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R18

  621070 - storage test fails using lvm swap partition on RHEL6
  625184 - memory test (threaded_memtest.c) incorrectly determines processor count on RHEL6
  608556 - tape tests failed

* Wed Aug 18 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R17

  624141 - cpuscaling test fails if available frequencies are listed lowest to highest
  621364 - Memory test failed on RH6 certification
  620672 - test suite should check for SELinux status
  619252 - CPUSCALING test to show the current CPU frequency before calculating PI
  616949 - FV_Network, FV_Memory, FV_Storage, and FV_Core need to remove from x86 test kits
  512153 - [RHEL5.3 GA] Hardware Certification Test failed with 'Error: kernel is tainted (value = 64)'
  574639 - INFO test should show the DUP usages
  570714 - v7 hardware certification test fails in dm_log_clustered module
  487184 - info test module validation should pass wireless modules from Red Hat Supplimental packages

* Thu Aug 12 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R16

  581463 - memory test hangs on larger scale systems
  608535 - rhel6 audio test failed - sound-sample.wav: No such file or directory
  621041 - core test failed on s390x RHEL6 - sched_setaffinity: Invalid argument
  619712 - V7 plan traceback in cpuscaling for s390x RHEL6 and ppc64 RHEL6

* Tue Aug 03 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R15

  606963 - Storage test fail on RH6 certification
  621056 - v7 failed after reboot test
  621614 - systems with no cpuscaling show errors about cpufreq directories
  621348 - core test calls "tree" for ppc64, which is not in required rpms.
  620918 - Reboot test fails, causes kernel panic with timeout set to zero.
  586941 - v7 on RHEL6 requires rpms not in RHEL6: system-config-display

* Fri Jul 30 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R14

  619773 - reboot test fails - Continuation instance has no attribute 'systemLogBootMarker'

* Thu Jul 29 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R13

  616969 - core test trackback, RHEL6 x390s
  616943 - info test fails - can not fine whitelist file on RHEL6 snap 7 x86_64
  605247 - Include qemu-kvm as dependency in RHEL6
  605277 - Storage test fails on RHEL6 due to incorrect lvs path
  588702 - v7 incorrectly uses 'processor.can_throttle' to plan CPUSCALING tests
  599746 - v7 RHEL6 profiler test fails: /etc/modprobe.conf not found

* Fri Jul 16 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R11

  568467 - FEAT: v7 needs a cpu clocks test

* Mon Jul 12 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R10

  512153 Hardware Certification Test failed with 'Error: kernel is tainted (value = 64)'

V7 1.2 R9

  599725 - attempts to contact libvirtd during "v7 plan" cause spurious error messages
  586568 - v7 submit fails with error
  584121 - RHEL6 network test mount command fails in NFS testing
  612278 - v7 NETWORK tests defaults to NFS/UDP and OS defaults to NFSv4 which is unsupported combination

* Thu Jun 10 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R6

  599741 - fv_ tests fail when libvirt is installed, but libvirtd is not started

* Tue Jun 01 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R4

  598544 - Control-C interrupt of v7 often results in broken results.xml
  599108 - FEAT: v7 should provide a way to continue a test run
  568526 - FEAT: add a reboot test

* Wed May 26 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R3

  591357 - RHEL6 info test: no --no-progressbar option for sosreport

* Tue May 18 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R2
  576497 - fv_* is not listed in v7 print on rhel55-server-x86_64-xen system

* Tue Apr 27 2010 Greg Nichols <gnichols@redhat.com>

V7 1.2 R1

  584079 - RHEL6 v7 R23 does not parse uname -r output for kernel name
  582090 - v7 has a dependency on rhpl, but it's not in required list.

* Mon Mar 29 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R23

  573837 - 'v7 plan' causes python traceback on RHEL6
  573696 -  fix traceback when tape test reports "device not found"

* Mon Mar 15 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R22

  573670 - v7 prompts for incorrect package name at plan time install
  573757 - v7 plans FV tests for RHEL4 on ia64
  573745 - hardware.out in info test doesn't include the required platform data

* Sat Mar 13 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R20

  573102 - INFO test passing when v7 has been modified
  573144 - sos reports are increasing the size of info
       test, results.xml and results.rpm" info.py

* Thu Mar 11 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R18

  572660 - V7 will double plan floppy, cdrom and storage on RHEL4.8
  572606 - storage test traceback on RHEL4/s390
  572265 - v7 adds 2nd usb and expresscard test if a keyfob is installed
  572346 - FV guest created config file provides invalid default bridge device
  453628 - hts plan editing - various warning/notice messages not given
  633652 - [RFE]: v7 bluray test fail on BD-R disk

* Wed Mar 10 2010 Greg Nichols <gnichols@redhat.com>
V7 1.1 R17

567378 - Memory test of v7.1.1-7 test kits fail on RH5 Update 4 x86
572265 - v7 adds 2nd usb and expresscard test if a keyfob is installed

* Tue Mar 09 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R15

571610 - v7-1.1-13 reports no network test in rhel4

* Mon Mar 08 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R14

 568468 - v7 finds no RT kernel ABI Whitelist
 571599 - info test traceback on info test v7 rpm verification
 568226 - USB test failed on RHEL48 with v7 R9.
 570637 - kvm test needs RHEL-release-specific packages
 570917 - FV KVM tests causes selinux errors

* Fri Mar 05 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R13

  484512 - Clock jitter test - calculation technique
  526057 - ExpressCard test shows errors on successful test
  555895 - FEAT: results.xml could divide out the various sub tests.
  489578 - Individual cpu core will fail cpuscaling depending upon what
      type of drive is used and whether INFO runs before or after test

* Tue Mar 02 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R11

566778 - 'v7 run' without a specified test results in a python traceback
568458 - v7 fails with a backtrace when HAL daemon is not running
568492 - v7 video test produces a backtrace if system is not running X
568465 - v7 shows that RT kernel was not built by Red Hat!

* Tue Feb 23 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R10

546047 -  The v7 fv_network test result may PASS when the guests' network test is FAIL
555903 -  suspend tests should provide a method/param to disable the fn+ key tests individually

* Thu Feb 18 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R9

 563762 -  Incorrect rpm package - "kernelxen--devel" is required as run-time dependency.
 565437 -  v7 test suite v1.0 rel. 26 doesn't work with RHEL 5.5 alpha/beta
 555898 -  optical tests fix --mode auto to skip prompts

* Wed Feb 10 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R8

 563562 -  v7 plan --mode auto can infinite loop on required package
          installation attempts
 559834 -  fv_* is not listed in v7 plan on rhel54-server-ia64-xen system
 563289 -  fv-* should not be planned on RT kernels.
 559825 -  Info test fails on kvm system - can not locate ABI whilelist
 563292 -  Info test fails on rt kernel

* Mon Feb 01 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R7

 557674 -  sh: udevadm: command not found error
 560797 -  v7 exception when system has no /proc/usb

V7 1.1 R6

 560635 -  info test fails due to difficulties in parsing /etc/redhat-release

* Fri Jan 29 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R5

 192245 -  info test should call sosreport instead of sysreport
 555842 -  tests should make use of runtime requires feature
 555898 -  optical tests should provide a method to force/override
           the read-only, write, re-write code path decision

* Wed Jan 27 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R3

 559179 -  Device-specific tests are not planned in RHEL4 via kudzu.

* Tue Jan 26 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R2

  558578 -  memory test traceback: AttributeError: 'int' object has no attribute 'pipe'

* Fri Jan 22 2010 Greg Nichols <gnichols@redhat.com>

V7 1.1 R1

  557355 -  fv_* is not listed in v7 plan both on AMD RHEL5.4-Server xen / kvm system
  557365 -  `v7 plan` failed with traceback and cause no plan for `v7 print`
  546404 -  Avoid running any tests when invalid test name is used

* Thu Jan 14 2010 Greg Nichols <gnichols@redhat.com>

V7 1.0 R26

   555045 -  v7 R23 traceback on submit command - invalid device data

V7 1.0 R23

  554915 -  FEAT: v7 needs a RTEval test
  523824 -  FEAT: v7 should fv_* tests should support KVM
  488145 -  FEAT: HTS should provide a run-time dependency option for installation
  474856 -  CPUScaling Fails in HTS 5.3-3


* Thu Dec 17 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R21

  525736 -  Feat: CLI to manually provide/override vendor/make/model values in results.xml
  526071 -  v7 man page refers to --last option as "--latest"
  548517 -  v7 plan traceback: no such attribute runForVirtualization
  517311 -  submit command causes a traceback if no tests have run
  536929 -  v7 should augment HAL device detection with other sources
  484657 -  hts uses code deprecated in python 2.6

* Tue Sep 29 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R19

   526310 -  v7 fails TPS Verify test on RHEL4 due to selinux context settings

* Fri Sep 11 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R18

    517966 -  ia64 FV image could not auto boot

V7 1.0 R17

   521964 -  Running v7 FV guest tests with mis-named data image file results in python traceback

V7 1.0 R16

    517215 -  over-limit test-generated files can cause a traceback in
         post-run file attachment code
    514586 -  FV tests fail if xenbr0 not found
    521611 -  /etc/httpd/conf.d/v7.conf should have FollowSymlinks set
    520657 -  v7-15: Error when running "v7 submit" to create a test results rpm package on RHEL4

* Thu Aug 13 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R15

    517524 -  core hardware log shows all system device entries
    483024 -  cpuscaling test fails when no CPU flags are available

* Tue Aug 11 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R14

    515294 -  kudzu output in the hardware.log of v7 on RHEL5.4 is missing the
            processor data and memory data
    516082 -  bluray test fails when manually-planned via the --add command
    516241 -  v7-1.0-7 video test fails for both RHEL5 and RHEL4

* Tue Aug 04 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R9


  515197 -  INFO/CORE/MEMORY tests are not "planned" by default on RHEL4.7 with v7-1.0-8

* Fri Jul 31 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R8

  514959 -  v7 results rpm is missing sysreport tar ball
  514961 -  v7 hardware.out data is hal format instead of kudzu format like hts

* Thu Jun 25 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R7

  512475 -  v7 cli doesn't seem to respond to --device command
  508136 -  Unable to run cdrom HTS test on RHEL4
  466703 -  suspend test fails due to Error: could not verify suspend
  507370 -  v7's results.xml testing database does not contain
  	associated files from info an audio tests.
  506542 -  fv_all, fv_network test traceback
  506169 -  fv_* tests should support multiple image options
  506129 -  bluray test doesn't get planned in RHEL4
  505806 -  ia64 FV image should not need extra human inputs

* Sun Jun 14 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R6

316581 -  Video FAILED xstatus command

* Sat Jun 13 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R4

505477 -  New v7 RPM should depricate hts rpm
505432 -  info test in v7 doesn't populate hardware.out
485837 -  FEAT: hts needs to support a pre-installed FV image
481258 -  hts-5.3-15.el4 show double Note info with plan and run commands
480723 -  HTS should verify all the arguments in command line
460940 -  'hts discover' is using the BIOS manufacturer name for the system manufactuer
480285 -  The interpretation of "Version" is not align with others in hts help page
460979 -  Can HTS log the audio codec info?
445164 -  FEAT: CDROM test should test Blu-ray Discs in rhel5
437866 -  [FEAT] Update storage tests in HTS to to target controllers rather than block devices
478498 -  hts-5.3-12 profiler test shows errors in passing test
476690 -  HTS-5.3-9 Profiler Test Fails
230285 -  FEAT: request for configured kickstart file which includes the min. hts package set


* Thu Jun 04 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R3

    503857 -  traceback on v7 submit command

* Mon Jun 01 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R2

	488582 -  USB test must ask for 'number' of port to be tested, not the number of free ports.
	485705 -  hts-5.3-15.el5.noarch help still shows "discover" under "run" sequence
	482890 -  deletion of test sources causes info test traceback
	483024 -  cpuscaling test fails when no CPU flags are available
	482861 -  HTS needs some console output clean-up
	476517 -  Output of network test must show MAC and hal/pciid details of ethernet interfaces

* Wed Apr 15 2009 Greg Nichols <gnichols@redhat.com>

V7 1.0 R1

   490995 -  HTS on RHEL4 will not detect all features of DVD/CD BURNER
   484938 -  DVD burning test failed
   479739 -  profiler test is showing up in the testplan for FV
   480397 -  Multiple NICs detected on HVM guests when only one NIC actually present
